<?php
///////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////// RBS functios

/*-------------------------------------------*/
/*	テーマカスタマイザーの設定
/*-------------------------------------------*/
add_action( 'customize_register', 'bizvektor_rbs_customize_register' );
function bizvektor_rbs_customize_register($wp_customize) {

	// セクションを追加
	$wp_customize->add_section( 'biz_vektor_rbs_main_visual', array(
		'title'          => 'RBS設定メインビジュアル画像背景変更',
		'priority'       => 90,
	));
	$wp_customize->add_section( 'biz_vektor_rbs_main_menu', array(
		'title'          => 'RBS設定メインメニュー',
		'priority'       => 91,
	));
	$wp_customize->add_section( 'biz_vektor_rbs_footer', array(
		'title'          => 'RBS設定フッター',
		'priority'       => 92,
	));
	$wp_customize->add_section( 'biz_vektor_rbs_etc', array(
		'title'          => 'RBS設定',
		'priority'       => 93,
	));


	$wp_customize->add_section( 'header_image', array(
	'title'          => 'メインビジュアル設定',
	'theme_supports' => 'custom-header',
	'priority'       => 60,
	) );

	$wp_customize->remove_section( 'colors' );
	
//////////////////////////////////////////////////// Menu
    ///////// メニュー文字色
	$wp_customize->add_setting( 'biz_vektor_rbs_options[menu_color]', array(
		'default'        => '#fcefd8',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'menu_color', array(
		'label'    => 'メニュー文字色',
		'section'  => 'biz_vektor_rbs_main_menu',
		'settings' => 'biz_vektor_rbs_options[menu_color]',
		'prioriy' => 1,
	)));

    ///////// メニューの背景色
	$wp_customize->add_setting( 'biz_vektor_rbs_options[menu_bg_color]', array(
		'default'        => '#29a1d7',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'menu_bg_color', array(
		'label'    => 'メニューの背景色',
		'section'  => 'biz_vektor_rbs_main_menu',
		'settings' => 'biz_vektor_rbs_options[menu_bg_color]',
		'priority' => 1,
	)));

    ///////// メニューの背景色グラデーションカラー
	$wp_customize->add_setting( 'biz_vektor_rbs_options[menu_bg_color_bot]', array(
		'default'        => '',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'menu_bg_color_bot', array(
		'label'    => 'メニュー背景色グラデーションカラー',
		'section'  => 'biz_vektor_rbs_main_menu',
		'settings' => 'biz_vektor_rbs_options[menu_bg_color_bot]',
		'priority' => 2,
	)));

    ///////// メニューの背景画像
	$wp_customize->add_setting( 'biz_vektor_rbs_options[menu_bg_image]', array(
		'default'        => '',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'menu_bg_image', array(
		'label'    => 'メニューの背景画像',
		'section'  => 'biz_vektor_rbs_main_menu',
		'settings' => 'biz_vektor_rbs_options[menu_bg_image]',
		'priority' => 3,
	)));

	///////// メニューの背景画像表示フラグ
	$wp_customize->add_setting( 'biz_vektor_rbs_options[menu_bg_image_enable]', array(
		'default'        => false,
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'menu_bg_image_enable', array(
		'settings' => 'biz_vektor_rbs_options[menu_bg_image_enable]',
		'label' =>'メニュー背景に画像を使用する',
		'section' => 'biz_vektor_rbs_main_menu',
		'type' => 'checkbox',
		'priority' => 4,
	));

	///////// メニューの背景を透明にする
	$wp_customize->add_setting( 'biz_vektor_rbs_options[menu_bg_visible_disable]', array(
		'default'        => false,
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'menu_bg_visible_disable', array(
		'settings' => 'biz_vektor_rbs_options[menu_bg_visible_disable]',
		'label' =>'メニューの背景を透明にする',
		'section' => 'biz_vektor_rbs_main_menu',
		'type' => 'checkbox',
		'priority' => 5,
	));

    ///////// メニューの区切り線の色
	$wp_customize->add_setting( 'biz_vektor_rbs_options[menu_border_color]', array(
		'default'        => '#187caa',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'menu_border_color', array(
		'label'    => 'メニュー区切り線の色',
		'section'  => 'biz_vektor_rbs_main_menu',
		'settings' => 'biz_vektor_rbs_options[menu_border_color]',
		'priority' => 6,
	)));

	///////// メニュー貫通設定
	$wp_customize->add_setting( 'biz_vektor_rbs_options[menu_size_through]', array(
		'default'        => false,
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'menu_size_through', array(
		'settings' => 'biz_vektor_rbs_options[menu_size_through]',
		'label' =>'メニューを貫通させる',
		'section' => 'biz_vektor_rbs_main_menu',
		'type' => 'checkbox',
		'priority' => 7,
	));

	///////// メニューの角丸設定
	$wp_customize->add_setting( 'biz_vektor_rbs_options[menu_block_radius]', array(
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'menu_block_radius', array(
		'settings' => 'biz_vektor_rbs_options[menu_block_radius]',
		'label' =>'メニューの角丸設定',
		'section' => 'biz_vektor_rbs_main_menu',
		'type' => 'select',
		'priority' => 8,
		'choices'    => array(
		'none' => 'ピン角',
		'parent' => '全体を丸角',
		'botton' => 'ボタンを丸角',
   	),
	));

	///////// メニューの表示位置
	$wp_customize->add_setting( 'biz_vektor_rbs_options[menu_position]', array(
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'menu_position', array(
		'settings' => 'biz_vektor_rbs_options[menu_position]',
		'label'    =>'メニューの表示位置',
		'section'  => 'biz_vektor_rbs_main_menu',
		'default'  => 'top',
		'type'     => 'select',
		'priority' => 9,
		'choices'  => array(
			'top'      => 'メインビジュアルの上',
			'bottom'   => 'メインビジュアルの下',
			'left'     => '左',
			'right'    => '右',
   	),
	));


//////////////////////////////////////////////////// MainVisual
	///////// メインビジュアルの背景を有効にする
	$wp_customize->add_setting( 'biz_vektor_rbs_options[top_bg_background_enable]', array(
		'default'        => True,
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'top_bg_background_enable', array(
		'settings' => 'biz_vektor_rbs_options[top_bg_background_enable]',
		'label' =>'メインビジュアル画像の背景を有効にする',
		'section' => 'biz_vektor_rbs_main_visual',
		'type' => 'checkbox',
		'priority' => 0,
	));

	 ///////// メインビジュアルの背景色
	$wp_customize->add_setting( 'biz_vektor_rbs_options[top_bg_color_top]', array(
		'default'        => '#9ac7e9',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'top_bg_color_top', array(
		'label'    => 'メインビジュアル画像背部の色',
		'section'  => 'biz_vektor_rbs_main_visual',
		'settings' => 'biz_vektor_rbs_options[top_bg_color_top]',
		'priority' => 1,
	)));

    ///////// メインビジュアルの背景色
	$wp_customize->add_setting( 'biz_vektor_rbs_options[top_bg_color_bot]', array(
		//'default'        => '#9ac7e9',
		'default'        => '',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'top_bg_color_bot', array(
		'label'    => 'メインビジュアル画像背部のボトムカラー',
		'section'  => 'biz_vektor_rbs_main_visual',
		'settings' => 'biz_vektor_rbs_options[top_bg_color_bot]',
		'priority' => 2,
	)));

    ///////// メインビジュアルの背景画像
	$wp_customize->add_setting( 'biz_vektor_rbs_options[top_bg_image]', array(
		'default'        => '',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'top_background_image', array(
		'label'    => 'メインビジュアル画像の背景画像',
		'section'  => 'biz_vektor_rbs_main_visual',
		'settings' => 'biz_vektor_rbs_options[top_bg_image]',
		'context'    => 'your_setting_context',
		'priority' => 3,
	)));

	///////// メインビジュアルの背景画像表示フラグ
	$wp_customize->add_setting( 'biz_vektor_rbs_options[top_bg_image_enable]', array(
		'default'        => false,
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'top_bg_image_enable', array(
		'settings' => 'biz_vektor_rbs_options[top_bg_image_enable]',
		'label' =>'メインビジュアル画像背景に画像を使用する',
		'section' => 'biz_vektor_rbs_main_visual',
		'type' => 'checkbox',
		'priority' => 4,
	));

//////////////////////////////////////////////////// MainArea
	///////// キーカラー設定
	$wp_customize->add_setting( 'biz_vektor_rbs_options[key_color]', array(
		'default'        => '#29a1d7',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'key_color', array(
		'label'    => 'キーカラー設定',
		'section'  => 'biz_vektor_rbs_etc',
		'settings' => 'biz_vektor_rbs_options[key_color]',
		'priority' => 0,
	)));

    ///////// メインエリアの背景のグラデーションのトップカラー
	$wp_customize->add_setting( 'biz_vektor_rbs_options[main_bg_gradation_top]', array(
		'default'        => '#ddeefb',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'main_bg_gradation_top', array(
		'label'    => '背景のカラー',
		'section'  => 'biz_vektor_rbs_etc',
		'settings' => 'biz_vektor_rbs_options[main_bg_gradation_top]',
		'priority' => 3,
	)));

    ///////// メインエリアの背景のグラデーションのボトムカラー
	$wp_customize->add_setting( 'biz_vektor_rbs_options[main_bg_gradation_bot]', array(
		'default'        => '',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'main_bg_gradation_bot', array(
		'label'    => '背景のグラデーションカラー',
		'section'  => 'biz_vektor_rbs_etc',
		'settings' => 'biz_vektor_rbs_options[main_bg_gradation_bot]',
		'priority' => 4,
	)));

	///////// メインエリアの角丸設定
	$wp_customize->add_setting( 'biz_vektor_rbs_options[mainarea_radius]', array(
		'default'        => false,
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'mainarea_radius', array(
		'settings' => 'biz_vektor_rbs_options[mainarea_radius]',
		'label' =>'メインエリアの角丸設定',
		'section' => 'biz_vektor_rbs_etc',
		'type' => 'select',
		'priority' => 5,
		'choices'    => array(
		'none' => 'ピンカド',
		'area' => '丸角',
   	)));

    ///////// コンテントエリアの文字色
	$wp_customize->add_setting( 'biz_vektor_rbs_options[content_color]', array(
		'default'        => '#666666',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'content_color', array(
		'label'    => 'メインエリアの文字色',
		'section'  => 'biz_vektor_rbs_etc',
		'settings' => 'biz_vektor_rbs_options[content_color]',
		'priority' => 6,
	)));

    ///////// メインコンテンツの背景色
	$wp_customize->add_setting( 'biz_vektor_rbs_options[content_bg_color]', array(
		'default'        => '#fff',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'content_bg_color', array(
		'label'    => 'メインエリアの背景色',
		'section'  => 'biz_vektor_rbs_etc',
		'settings' => 'biz_vektor_rbs_options[content_bg_color]',
		'priority' => 7,
	)));

	///////// ヘッダーエリアの表示ON/Off
	$wp_customize->add_setting( 'biz_vektor_rbs_options[header_visual_disable]', array(
		'default'        => false,
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'header_visual_disable', array(
		'settings' => 'biz_vektor_rbs_options[header_visual_disable]',
		'label' =>'トップページにヘッダーを表示しない',
		'section' => 'biz_vektor_rbs_etc',
		'type' => 'checkbox',
		'priority' => 8,
	));

	///////// 3カラム設定
	$wp_customize->add_setting( 'biz_vektor_rbs_options[enable_three_cullum]', array(
		'default'        => false,
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'enable_three_cullum', array(
		'settings' => 'biz_vektor_rbs_options[enable_three_cullum]',
		'label' =>'3カラムを有効にする',
		'section' => 'biz_vektor_rbs_etc',
		'type' => 'checkbox',
		'priority' => 9,
	));

	///////// NO-MARGIN
	$wp_customize->add_setting( 'biz_vektor_rbs_options[no-margin', array(
		'default'        => false,
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'no-margin', array(
		'settings' => 'biz_vektor_rbs_options[no-margin]',
		'label' =>'マージンをなくす',
		'section' => 'biz_vektor_rbs_etc',
		'type' => 'checkbox',
		'priority' => 10,
	));


//////////////////////////////////////////////////// Footer
	///////// フッター背景を有効にする
	$wp_customize->add_setting( 'biz_vektor_rbs_options[footer_bg_visible]', array(
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'footer_bg_visible', array(
		'settings' => 'biz_vektor_rbs_options[footer_bg_visible]',
		'label' =>'フッター背景を有効にする',
		'section' => 'biz_vektor_rbs_footer',
		'type' => 'checkbox',
		'priority' => 0,
	));

    ///////// フッターの色
	$wp_customize->add_setting( 'biz_vektor_rbs_options[footer_bg_color]', array(
		'default'        => '#fcefd8',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'footerColor', array(
		'label'    => 'フッターの背景色',
		'section'  => 'biz_vektor_rbs_footer',
		'settings' => 'biz_vektor_rbs_options[footer_bg_color]',
		'priority' => 1,
	)));

    ///////// フッター背景画像
	$wp_customize->add_setting( 'biz_vektor_rbs_options[footer_bg_image]', array(
		'default'        => '',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'footerImage', array(
		'label'    => 'フッターの背景画像',
		'section'  => 'biz_vektor_rbs_footer',
		'settings' => 'biz_vektor_rbs_options[footer_bg_image]',
		'priority' => 2,
	)));

	///////// フッター画像透過
	$wp_customize->add_setting( 'biz_vektor_rbs_options[footer_bg_image_opacity]', array(
		'default'        => false,
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'footerImageopacity', array(
		'settings' => 'biz_vektor_rbs_options[footer_bg_image_opacity]',
		'label' =>'背景を薄くする',
		'section' => 'biz_vektor_rbs_footer',
		'type' => 'checkbox',
		'priority' => 3,
	));


	///////// フッター画像ポジション
	$wp_customize->add_setting( 'biz_vektor_rbs_options[footer_bg_image_position]', array(
		'default'        => '',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'footerImagePosition', array(
		'settings' => 'biz_vektor_rbs_options[footer_bg_image_position]',
		'label' =>'画像位置',
		'section' => 'biz_vektor_rbs_footer',
		'type' => 'select',
		'priority' => 4,
		'choices'    => array(
			'top left' => 'top left',
			'top center' => 'top center',
			'top right' => 'top right',
			'center left' => 'center left',
			'center center' => 'center center',
			'center right' => 'center right',
			'bottom left' => 'bottom left',
			'bottom center' => 'bottom center',
			'bottom right' => 'bottom right',
   	),
	));

	///////// フッター画像リピート
	$wp_customize->add_setting( 'biz_vektor_rbs_options[footer_bg_image_repeat]', array(
		'default'        => 'repeat',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'footerImagerepeat', array(
		'settings' => 'biz_vektor_rbs_options[footer_bg_image_repeat]',
		'label' =>'背景の繰り返し',
		'section' => 'biz_vektor_rbs_footer',
		'type' => 'radio',
		'priority' => 5,
		'choices' => array(
			'no-repeat'   => '繰り返しなし',
			'repeat'      => 'タイル',
			'repeat-x'    => '水平方向に繰り返し',
			'repeat-y'    => '垂直方向に繰り返し',
		),
	));

	///////// フッター画像サイズ調整
	$wp_customize->add_setting( 'biz_vektor_rbs_options[footer_bg_image_size]', array(
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'footerImagesize', array(
		'settings' => 'biz_vektor_rbs_options[footer_bg_image_size]',
		'label' =>'サイズ調整',
		'section' => 'biz_vektor_rbs_footer',
		'type' => 'checkbox',
		'priority' => 6,
	));

    ///////// フッターメニュー色
	$wp_customize->add_setting( 'biz_vektor_rbs_options[footer_menu_color]', array(
		'default'        => '#333333',
		'type'           => 'option',
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'footerMenuColor', array(
		'label'    => 'フッター文字色',
		'section'  => 'biz_vektor_rbs_footer',
		'settings' => 'biz_vektor_rbs_options[footer_menu_color]',
		'priority' => 7,
	)));



	$wp_customize->add_setting( 'biz_vektor_rbs_options[top_discription_text]', array(
		'default'    => '',
		'type'       => 'option',
		'capability' => 'edit_theme_options',
	));
	$wp_customize->add_control( 'top_discription_text', array(
		'settings'   => 'biz_vektor_rbs_options[top_discription_text]',
		'label'      => 'ヘッダー上部のディスクリプション',
		'section' => 'title_tagline',
	));


	///////// フッター画像サイズ調整
	$wp_customize->add_setting( 'biz_vektor_rbs_options[body_bg_size_ajust]', array(
		'type'           => 'option',
		'default'        => True,
		'capability'     => 'edit_theme_options', // 操作権限
	));
	$wp_customize->add_control( 'body_bg_size_ajust', array(
		'settings' => 'biz_vektor_rbs_options[body_bg_size_ajust]',
		'label' =>'サイズ調整',
		'section' => 'background_image',
		'type' => 'checkbox',
	));
}